/********** Template CSS **********/
:root {
    --primary: #009CFF;
    --secondary: #777777;
    --light: #F8F8F8;
    /* --dark: #252525; */
    --dark: #f9bd01;
}

.back-to-top {
    position: fixed;
    right: 30px;
    bottom: 30px;
    z-index: 99;
}


/*** Spinner ***/
#spinner {
    opacity: 0;
    visibility: hidden;
    transition: opacity .5s ease-out, visibility 0s linear .5s;
    z-index: 99999;
}

#spinner.show {
    transition: opacity .5s ease-out, visibility 0s linear 0s;
    visibility: visible;
    opacity: 1;
}


/*** Button ***/
.btn {
    font-weight: 500;
    transition: .5s;
}

.btn.btn-primary {
    color: #FFFFFF;
}

.btn-square {
    width: 38px;
    height: 38px;
}

.btn-sm-square {
    width: 32px;
    height: 32px;
}

.btn-lg-square {
    width: 60px;
    height: 60px;
}

.btn-square,
.btn-sm-square,
.btn-lg-square {
    padding: 0;
    display: flex;
    align-items: center;
    justify-content: center;
    font-weight: normal;
}


/*** Navbar ***/
.navbar .dropdown-toggle::after {
    border: none;
    content: "\f107";
    font-family: "Font Awesome 5 Free";
    font-weight: 900;
    vertical-align: middle;
    margin-left: 8px;
}

.navbar .navbar-nav .nav-link {
    margin-right: 30px;
    padding: 20px 0;
    color: #FFFFFF;
    font-weight: 500;
    outline: none;
}

.navbar .navbar-nav .nav-link:hover,
.navbar .navbar-nav .nav-link.active {
    color: var(--dark);
}

.navbar.sticky-top {
    top: -100px;
    transition: .5s;
}

@media (max-width: 991.98px) {
    .navbar .navbar-nav .nav-link {
        margin-right: 0;
        padding: 8px 0;
    }

    .navbar .navbar-nav {
        margin-top: 8px;
        border-top: 1px solid rgba(256, 256, 256, .1)
    }
}

@media (min-width: 992px) {
    .navbar .nav-item .dropdown-menu {
        display: block;
        visibility: hidden;
        top: 100%;
        transform: rotateX(-75deg);
        transform-origin: 0% 0%;
        transition: .5s;
        opacity: 0;
    }

    .navbar .nav-item:hover .dropdown-menu {
        transform: rotateX(0deg);
        visibility: visible;
        transition: .5s;
        opacity: 1;
    }
}


/*** Header ***/
#header-carousel .carousel-caption {
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    background: rgba(0, 0, 0, .5);
    z-index: 1;
}

#header-carousel .carousel-control-prev,
#header-carousel .carousel-control-next {
    width: 10%;
}

#header-carousel .carousel-control-prev-icon,
#header-carousel .carousel-control-next-icon {
    width: 3rem;
    height: 3rem;
}

#header-carousel .carousel-indicators [data-bs-target] {
    width: 60px;
    height: 60px;
    text-indent: 0;
    margin-bottom: 15px;
    border: 2px solid #FFFFFF;
    border-radius: 60px;
    overflow: hidden;
}

#header-carousel .carousel-indicators [data-bs-target] img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.page-header {
    background: linear-gradient(rgba(0, 0, 0, .5), rgba(0, 0, 0, .5)), url(../img/carousel-1.jpg) center center no-repeat;
    background-size: cover;
}

.breadcrumb-item+.breadcrumb-item::before {
    color: var(--secondary);
}

.page-header .breadcrumb-item+.breadcrumb-item::before {
    color: var(--light);
}


/*** Section Title ***/
.section-title {
    position: relative;
    display: inline-block;
    text-transform: uppercase;
}

.section-title::before {
    position: absolute;
    content: "";
    width: calc(100% + 80px);
    height: 2px;
    top: 4px;
    left: -40px;
    background: var(--dark);
    z-index: -1;
}

.section-title::after {
    position: absolute;
    content: "";
    width: calc(100% + 120px);
    height: 2px;
    bottom: 4px;
    left: -60px;
    background: var(--dark);
    z-index: -1;
}

.section-title.text-start::before {
    width: calc(100% + 40px);
    left: 0;
}

.section-title.text-start::after {
    width: calc(100% + 60px);
    left: 0;
}



/*** Img Border ***/
.img-border {
    position: relative;
    min-height: 400px;
}

.img-border::before {
    position: absolute;
    content: "";
    top: 0;
    left: 0;
    right: 3rem;
    bottom: 3rem;
    border: 5px solid var(--primary);
    border-radius: 6px;
}

.img-border img {
    position: absolute;
    top: 3rem;
    left: 3rem;
    width: calc(100% - 3rem);
    height: calc(100% - 3rem);
    object-fit: cover;
    border-radius: 6px;
}


/*** Facts ***/
.fact-item {
    transition: .5s;
}

.fact-item:hover {
    margin-top: -10px;
    background: #FFFFFF !important;
    box-shadow: 0 0 45px rgba(0, 0, 0, .07);
}


/*** Service ***/
.service-item {
    box-shadow: 0 0 45px rgba(0, 0, 0, .07);
    border: 1px solid transparent;
    transition: .5s;
}

.service-item:hover {
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.3);
}


/*** Feature ***/
.progress {
    height: 5px;
}

.progress .progress-bar {
    width: 0px;
    transition: 3s;
}


/*** Project ***/
.project-item a {
    position: absolute;
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    display: flex;
    align-items: center;
    justify-content: center;
    color: #FFFFFF;
    background: rgba(0, 0, 0, .5);
    border-radius: 6px;
    opacity: 0;
    transition: .5s;
}

.project-item:hover a {
    opacity: 1;
}

.project-carousel .owl-dots {
    display: flex;
    align-items: center;
    justify-content: center;
    flex-wrap: wrap;
    margin-top: 20px;
}

.project-carousel .owl-dot {
    width: 35px;
    height: 35px;
    margin: 3px;
    display: flex;
    align-items: center;
    justify-content: center;
    border: 1px solid #DEE2E6;
    border-radius: 35px;
    transition: .5s;
}

.project-carousel .owl-dot:hover,
.project-carousel .owl-dot.active {
    color: #FFFFFF;
    border-color: var(--primary);
    background: var(--primary);
}


/*** Team ***/
.team-item {
    box-shadow: 0 0 45px rgba(0, 0, 0, .07);
}

.team-item .team-text {
    position: relative;
    height: 65px;
    overflow: hidden;
}

.team-item .team-title {
    position: absolute;
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    transition: .5s;
}

.team-item:hover .team-title {
    top: -65px;
}

.team-item .team-social {
    position: absolute;
    width: 100%;
    height: 100%;
    top: 65px;
    left: 0;
    display: flex;
    align-items: center;
    justify-content: center;
    background: #FFFFFF;
    transition: .5s;
}

.team-item .team-social .btn {
    margin: 0 3px;
}

.team-item:hover .team-social {
    top: 0;
}


/*** Testimonial ***/

.testimonial-carousel .owl-item .testimonial-item img {
    width: 60px;
    height: 60px;
}

.testimonial-carousel .owl-item .testimonial-item,
.testimonial-carousel .owl-item .testimonial-item * {
    transition: .5s;
}

.testimonial-carousel .owl-item.center .testimonial-item {
    background: var(--primary) !important;
}

.testimonial-carousel .owl-item.center .testimonial-item * {
    color: #FFFFFF !important;
}

.testimonial-carousel .owl-nav {
    margin-top: 30px;
    display: flex;
    justify-content: center;
}

.testimonial-carousel .owl-nav .owl-prev,
.testimonial-carousel .owl-nav .owl-next {
    margin: 0 12px;
    width: 50px;
    height: 50px;
    display: flex;
    align-items: center;
    justify-content: center;
    border: 1px solid #DEE2E6;
    border-radius: 50px;
    font-size: 18px;
    transition: .5s;
}

.testimonial-carousel .owl-nav .owl-prev:hover,
.testimonial-carousel .owl-nav .owl-next:hover {
    color: #FFFFFF;
    border-color: var(--primary);
    background: var(--primary);
}


/*** Footer ***/
.footer .btn.btn-link {
    display: block;
    margin-bottom: 5px;
    padding: 0;
    text-align: left;
    color: var(--secondary);
    font-weight: normal;
    text-transform: capitalize;
    transition: .3s;
}

.footer .btn.btn-link::before {
    position: relative;
    content: "\f105";
    font-family: "Font Awesome 5 Free";
    font-weight: 900;
    color: var(--secondary);
    margin-right: 10px;
}

.footer .btn.btn-link:hover {
    color: var(--primary);
    letter-spacing: 1px;
    box-shadow: none;
}

.footer .copyright {
    padding: 26px 0;
    font-size: 15px;
    border-top: 1px solid rgba(256, 256, 256, .1);
}

.footer .copyright a {
    color: var(--light);
}

.footer .copyright a:hover {
    color: var(--primary);
}



/* Novos estilos */
/* @media (max-width: 400px) { */
@media screen and (min-width: 1px) and (max-width: 400px) { 
    .btn-lg-square {
        width: 50px;
        height: 50px;
    }

    i.fab.fa-whatsapp {
        font-size: 26px !important;
    } 
    
    div#head.container-fluid.py-4.px-5.wow.fadeIn {
        height: 120px !important;
    }

    img#logo.img-fluid.rounded.mb-4 {
        width: 50% !important;
        margin-top: -10% !important;
    }

    div.flex-shrink-0.btn-lg-square {
        margin-top: -28% !important;
    }

    div.ps-3 {
        padding-left: 0.5rem !important;
    }

    div.col-lg-3.col-md-6.wow.fadeInUp {
        width: 50% !important;
    }

    div#logoItens.col-xs-12.col-sm-12.col-md-12 {
        display: none;
    }

    div#mobile.col-md-12 {
        display: block !important;
    }

    h4.mb-0 {
        font-size: 16px !important;
    }

    .product-card img {
        height: 180px !important;
    }
}

@media screen and (min-device-width: 400px) and (max-device-width: 475px) { 
    .btn-lg-square {
        width: 50px;
        height: 50px;
    }

    i.fab.fa-whatsapp {
        font-size: 26px !important;
    } 

    div#head.container-fluid.py-4.px-5.wow.fadeIn {
        height: 120px !important;
    }

    img#logo.img-fluid.rounded.mb-4 {
        width: 50% !important;
        margin-top: -8% !important;
    }

    div.flex-shrink-0.btn-lg-square {
        margin-top: -25% !important;
    }

    div.ps-3 {
        padding-left: 0.5rem !important;
    }

    div.col-lg-3.col-md-6.wow.fadeInUp {
        width: 50% !important;
    }

    div#logoItens.col-xs-12.col-sm-12.col-md-12 {
        display: none;
    }

    div#mobile.col-md-12 {
        display: block !important;
    }

    h4.mb-0 {
        font-size: 16px !important;
    }

    .product-card img {
        height: 200px !important;
    }
}

@media screen and (min-device-width: 475px) and (max-device-width: 565px) { 
    .btn-lg-square {
        width: 50px;
        height: 50px;
    }

    i.fab.fa-whatsapp {
        font-size: 26px !important;
    } 

    div#head.container-fluid.py-4.px-5.wow.fadeIn {
        height: 120px !important;
    }

    img#logo.img-fluid.rounded.mb-4 {
        width: 50% !important;
        margin-top: -8% !important;
    }

    div.flex-shrink-0.btn-lg-square {
        margin-top: -20% !important;
    }

    div.ps-3 {
        padding-left: 0.5rem !important;
    }

    div.col-lg-3.col-md-6.wow.fadeInUp {
        width: 50% !important;
    }

    div#logoItens.col-xs-12.col-sm-12.col-md-12 {
        display: none;
    }

    div#mobile.col-md-12 {
        display: block !important;
    }

    h4.mb-0 {
        font-size: 16px !important;
    }

    .product-card img {
        height: 210px !important;
    }
}

@media screen and (min-device-width: 565px) and (max-device-width: 660px) { 
    .btn-lg-square {
        width: 50px;
        height: 50px;
    }

    i.fab.fa-whatsapp {
        font-size: 26px !important;
    } 

    div#head.container-fluid.py-4.px-5.wow.fadeIn {
        height: 120px !important;
    }

    img#logo.img-fluid.rounded.mb-4 {
        width: 42% !important;
        margin-top: -8% !important;
    }

    div.flex-shrink-0.btn-lg-square {
        margin-top: -18% !important;
    }

    div.ps-3 {
        padding-left: 0.5rem !important;
    }

    div.col-lg-3.col-md-6.wow.fadeInUp {
        width: 50% !important;
    }

    div#logoItens.col-xs-12.col-sm-12.col-md-12 {
        display: none;
    }

    div#mobile.col-md-12 {
        display: block !important;
    }

    h4.mb-0 {
        font-size: 16px !important;
    }

    .product-card img {
        height: 250px !important;
    }
}

@media screen and (min-width: 660px) and (max-width: 785px) { 
    .btn-lg-square {
        width: 50px;
        height: 50px;
    }

    i.fab.fa-whatsapp {
        font-size: 26px !important;
    } 

    img#logo.img-fluid.rounded.mb-4 {
        width: 35% !important;
        margin-top: -8% !important;
    }

    div.flex-shrink-0.btn-lg-square {
        margin-right: 12% !important;
        margin-top: -4% !important;
    }

    div.ps-3 {
        padding-left: 0rem !important;
    }

    div.col-lg-3.col-md-6.wow.fadeInUp {
        width: 50% !important;
    }

    .product-card {
        flex: 0 0 calc(100% / 3 - 20px); /* Exibe 3 produtos por linha no modo tablet */
    }
}

@media screen and (min-width: 785px) and (max-width: 930px) { 
    .btn-lg-square {
        width: 50px;
        height: 50px;
    }

    i.fab.fa-whatsapp {
        font-size: 26px !important;
    } 

    img#logo.img-fluid.rounded.mb-4 {
        width: 100% !important;
        float: left !important;
        margin-top: 20% !important;
        margin-left: -7% !important;
    }

    div.flex-shrink-0.btn-lg-square {
        margin-right: 10% !important;
        margin-top: -26% !important;
    }

    div.ps-3 {
        padding-left: 0rem !important;
    }
}

@media screen and (min-width: 930px) and (max-width: 992px) { 
    .btn-lg-square {
        width: 50px;
        height: 50px;
    }

    i.fab.fa-whatsapp {
        font-size: 26px !important;
    } 

    /* img#logo.img-fluid.rounded.mb-4 {
        width: 25% !important;
        float: left !important;
        margin-top: -9.5% !important;
        margin-left: -5.5% !important;
    } */

    div.flex-shrink-0.btn-lg-square {
        margin-right: 8% !important;
        margin-top: -1.3% !important;
    }

    div.ps-3 {
        padding-left: 0rem !important;
    }
}

@media screen and (min-width: 992px) and (max-width: 1080px) { 
    .btn-lg-square {
        width: 50px;
        height: 50px;
    }

    i.fab.fa-whatsapp {
        font-size: 26px !important;
    } 

    /* img#logo.img-fluid.rounded.mb-4 {
        width: 25% !important;
        float: left !important;
        margin-top: -9.5% !important;
        margin-left: -5.5% !important;
    } */

    div.flex-shrink-0.btn-lg-square {
        margin-right: 7% !important;
        margin-top: -1.3% !important;
    }

    div.ps-3 {
        padding-left: 0rem !important;
    }
}

@media screen and (min-width: 1080px) and (max-width: 1290px) { 
    .btn-lg-square {
        width: 50px;
        height: 50px;
    }

    i.fab.fa-whatsapp {
        font-size: 26px !important;
    } 

    /* img#logo.img-fluid.rounded.mb-4 {
        width: 20% !important;
        float: left !important;
        margin-top: -7.5% !important;
        margin-left: -4.5% !important;
    } */

    div.flex-shrink-0.btn-lg-square {
        margin-right: 6% !important;
        margin-top: -1.3% !important;
    }

    div.ps-3 {
        padding-left: 0rem !important;
    }
}

@media screen and (min-width: 1290px) and (max-width: 1400px) { 
    .btn-lg-square {
        width: 50px;
        height: 50px;
    }

    i.fab.fa-whatsapp {
        font-size: 26px !important;
    } 

    /* img#logo.img-fluid.rounded.mb-4 {
        width: 18% !important;
        float: left !important;
        margin-top: -6.5% !important;
        margin-left: -3.5% !important;
    } */

    div.flex-shrink-0.btn-lg-square {
        margin-right: 6% !important;
        margin-top: -1% !important;
    }

    div.ps-3 {
        padding-left: 0rem !important;
    }
}

@media screen and (min-width: 1400px) and (max-width: 1590px) { 
    .btn-lg-square {
        width: 50px;
        height: 50px;
    }

    i.fab.fa-whatsapp {
        font-size: 26px !important;
    } 

    /* img#logo.img-fluid.rounded.mb-4 {
        width: 16% !important;
        float: left !important;
        margin-top: -6% !important;
        margin-left: -3.5% !important;
    } */

    div.flex-shrink-0.btn-lg-square {
        margin-right: 5% !important;
        margin-top: -1.5% !important;
    }

    div.ps-1.5 {
        padding-left: 0rem !important;
    }
}


/* Aplica estilizações do slider de produtos em destaque */
.product-slide-container {
    position: relative;
    overflow: hidden;
    width: 100%;
    max-height: 400px; /* Altura máxima desejada */
    padding: 15px 0;
    touch-action: pan-y; /* Permite a interação do usuário ao arrastar no eixo vertical */
}

.product-slide {
    display: flex;
    scroll-behavior: smooth;
    -webkit-overflow-scrolling: touch;
    transition: transform 0.3s ease;
    -ms-scroll-snap-type: x mandatory; /* Compatibilidade com o Microsoft Edge */
    scroll-snap-type: x mandatory;
}

.product-card {
    flex: 0 0 calc(100% / 2 - 20px); /* Exibe 2 produtos por linha no modo mobile */
    margin: 0 10px;
    padding: 15px;
    border-radius: 5px;
    background-color: #f8f8f8;
    box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
    text-align: center;
    scroll-snap-align: start;
}

.product-card img {
    width: 100%;
    height: auto; /* Altere para "auto" para manter a proporção original das imagens */
    object-fit: cover;
    border-radius: 5px;
    margin-bottom: 10px;
}

.product-controls {
    position: relative;
    display: flex;
    justify-content: center;
    margin-top: 20px;
}

.product-controls button {
    margin: 0 5px;
    background-color: #000;
    color: #fff;
    border: none;
    border-radius: 50%;
    width: 40px;
    height: 40px;
    font-size: 20px;
    cursor: pointer;
    transition: background-color 0.3s ease;
}

.product-controls button:hover {
    background-color: #f9ab00;
}

@media (min-width: 769px) and (max-width: 965px) {
    .product-card {
        flex: 0 0 calc(100% / 3 - 20px); /* Exibe 3 produtos por linha no modo tablet */
    }

    .product-card img {
        height: 250px !important;
    }
}

@media (min-width: 966px) and (max-width: 1024px) {
    .product-card {
        flex: 0 0 calc(100% / 3 - 20px); /* Exibe 3 produtos por linha no modo tablet */
    }

    .product-card img {
        height: 280px !important;
    }
}

@media (min-width: 1025px) {
    .product-card {
        flex: 0 0 calc(100% / 6 - 20px); /* Exibe 6 produtos por linha no modo desktop */
    }
}

nav ul li.active a {
    font-weight: bold;
}

html, body {
    height: 100%;
    margin: 0;
}

.wrapper {
    min-height: 100%;
    display: flex;
    flex-direction: column;
}

.content {
    flex: 1;
}

.footer-container {
    padding: 20px 0;
    text-align: center;
}

/* Tag mais informações */
.service-item {
    position: relative;
}

.more-info {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    background-color: #f9ab00;
    color: #fff;
    font-size: 14px;
    padding: 8px 16px;
    border-radius: 4px;
    opacity: 0;
    transition: opacity 0.3s ease;
}

.service-item:hover .more-info {
    opacity: 1;
}